Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.aggregation.raw
Class RawAggregate

    java.lang.Object
      rice.p2p.aggregation.Aggregate
          rice.p2p.aggregation.raw.RawAggregate

All Implemented Interfaces:
  java.io.Serializable, GCPastContent, RawGCPastContent, PastContent, RawPastContent

    public class RawAggregate

extends Aggregate
implements RawGCPastContent

See Also:
  Serialized Form

Field Summary
`static short` | `TYPE`

Fields inherited from class rice.p2p.aggregation.Aggregate
`components, myId, pointers`

Constructor Summary
`RawAggregate(GCPastContent[] components, Id[] pointers)`
`RawAggregate(InputBuffer buf, Endpoint endpoint, PastContentDeserializer contentDeserializer)`
`RawAggregate(RawGCPastContent[] components, Id[] pointers)`

Method Summary
`byte[]` | `getContentHash()`
`short` | `getType()` Raw Serialization
`int` | `numComponents()`
`void` | `serialize(OutputBuffer buf)`

Methods inherited from class rice.p2p.aggregation.Aggregate
`checkInsert, getComponent, getHandle, getHandle, getId, getMetadata, getPointers, getVersion, isMutable, setId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.p2p.past.gc.GCPastContent
`getHandle, getMetadata, getVersion`

Methods inherited from interface rice.p2p.past.PastContent
`checkInsert, getHandle, getId, isMutable`

Methods inherited from interface rice.p2p.past.PastContent
`checkInsert, getHandle, getId, isMutable`

Field Detail

### TYPE

    public static final short TYPE

See Also:
  Constant Field Values

Constructor Detail

### RawAggregate

    public RawAggregate(GCPastContent[] components,
                        Id[] pointers)

### RawAggregate

    public RawAggregate(RawGCPastContent[] components,
                        Id[] pointers)

### RawAggregate

    public RawAggregate(InputBuffer buf,
                        Endpoint endpoint,
                        PastContentDeserializer contentDeserializer)
                 throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### numComponents

    public int numComponents()

  Overrides:
    `numComponents` in class `Aggregate`

### getContentHash

    public byte[] getContentHash()

  Overrides:
    `getContentHash` in class `Aggregate`

### getType

    public short getType()

  Raw Serialization

  Specified by:
    `getType` in interface `RawPastContent`

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Specified by:
    `serialize` in interface `RawPastContent`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.